Summary:	Aurorae Designer is an application to edit Aurorae themes
Name:		auroraedesigner
Version: 	0.3.1
Release: 	%mkrel 3
Source0: 	%{name}-%{version}.tar.xz
License: 	GPLv2
Group: 		Graphical desktop/KDE4
Url: 		http://kde-apps.org/content/show.php/AuroraeDesigner?content=122763
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	kdelibs4-devel


%description 
Aurorae Designer is an application to preview KWin Aurorae
themes and edit the configuration of the theme. It provides
an interactive way to design the theme and helps the designer
to package a complete theme.

%prep
%setup -q 

%build
%cmake_kde4 
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop



%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%update_menus

%files
%defattr(-,root,root)
%_bindir/auroraedesigner
%_datadir/applications/kde4/auroraedesigner.desktop
%_datadir/apps/auroraedesigner/auroraedesignerui.rc
%_datadir/config.kcfg/auroraedesigner.kcfg
%_datadir/icons/hicolor/16x16/apps/auroraedesigner.png
%_datadir/icons/hicolor/32x32/apps/auroraedesigner.png
%_datadir/icons/hicolor/48x48/apps/auroraedesigner.png

%changelog
* Mon Feb 21 2011 texstar <texstar.com> 0.3.1-3pclos2011
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.3.1-2pclos2010
- rebuild for 4.5.1

* Sun Jul 25 2010 Chomp <chomptheman@gmail.com> 0.3.1-1pclos2010
- update

* Sat Jun 05 2010 Texstar <texstar at gmail.com> 0.3.0-1pclos2010
- initial package

